### Class

# WebKit2 PrintOperation

#### Description [src]

    class WebKit2.PrintOperation : GObject.Object
    {
      WebKitPrintOperationPrivate* priv
    }

Controls a print operation.

A `WebKitPrintOperation` controls a print operation in WebKit. With a similar API to `GtkPrintOperation`, it lets you set the print settings with `webkit_print_operation_set_print_settings()` or display the print dialog with webkit_print_operation_run_dialog().

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### webkit_print_operation_new

Create a new `WebKitPrintOperation` to print `web_view` contents.

#### Instance methods

###### webkit_print_operation_get_page_setup

Return the current page setup of `print_operation`.

###### webkit_print_operation_get_print_settings

Return the current print settings of `print_operation`.

###### webkit_print_operation_print

Start a print operation using current print settings and page setup.

###### webkit_print_operation_run_dialog

Run the print dialog and start printing.

###### webkit_print_operation_set_page_setup

Set the current page setup of `print_operation`.

###### webkit_print_operation_set_print_settings

Set the current print settings of `print_operation`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.PrintOperation:page-setup

The initial `GtkPageSetup` for the print operation.

###### WebKit2.PrintOperation:print-settings

The initial `GtkPrintSettings` for the print operation.

###### WebKit2.PrintOperation:web-view

The `WebKitWebView` that will be printed.

#### Signals

###### WebKit2.PrintOperation::create-custom-widget

Emitted when displaying the print dialog with webkit_print_operation_run_dialog(). The returned `WebKitPrintCustomWidget` will be added to the print dialog and it will be owned by the `print_operation`. However, the object is guaranteed to be alive until the `WebKitPrintCustomWidget::apply` is emitted.

deprecated: 2.40 since: 2.16

###### WebKit2.PrintOperation::failed

Emitted when an error occurs while printing. The given `error`, of the domain `WEBKIT_PRINT_ERROR`, contains further details of the failure. The `WebKitPrintOperation::finished` signal is emitted after this one.

###### WebKit2.PrintOperation::finished

Emitted when the print operation has finished doing everything required for printing.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2PrintOperationClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.